post
https://saner.secpod.com/AncorWebService/perform
This method allows users to upload compressed files like in .zip format. Users can provide URL encoded value in the ‘filename’ field. The field ‘data’ will only accept Base64 encoded content of the compressed installer file.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| data | Base64 encoded compressed file content | Yes | string |
| filename | Compressed file name (URL-encoded allowed) | Yes | string |
| name | Name of the software | No | string |
| family | Operating system family (e.g., windows, linux, mac) | No | string |
| version | Software version | No | string |
| architecture | System architecture (e.g., x86) | No | string |
| category | Software category | No | string |
| runfile | File path to execute after extraction | No | string |
| publisher | Software publisher name | No | string |
| extractlocation | Location where files will be extracted | No | string |
| description | Description of the software | No | string |
| installoption | Installation options/arguments | No | string |
| accountid | Account identifier | Yes | string |
